{% extends 'core/base.html' %}

{% block title %}Shop{% endblock %}

{% block content %} 

<div class="max-w-6xl mx-auto flex flex-wrap items-start py-6 px-6 xl:px-0 bg-ctp-base">
  <div class="filters w-full lg:w-1/4">
    <h1 class="mb-5 font-semibold text-3xl">Shop</h1>
    {% comment %} <h3 class="mb-3 text-xl uppercase text-ctp-text">Search</h3> {% endcomment %}
    
    <form method="get" action=".">
      <div class="relative text-ctp-overlay1 focus-within:text-ctp-base">
        <span class="absolute inset-y-0 left-0 flex items-center pl-2">
          <button type="submit" class="p-1 focus:outline-none focus:shadow-outline">
            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6">
              <path stroke-linecap="round" stroke-linejoin="round" d="m21 21-5.197-5.197m0 0A7.5 7.5 0 1 0 5.196 5.196a7.5 7.5 0 0 0 10.607 10.607Z" />
            </svg>
          </button>
        </span>
        <input type="search" name="query" class="py-2 text-ctp-base bg-ctp-base rounded pl-10 focus:outline-none focus:ring-0 focus:ring-offset-0 focus:bg-ctp-pink" placeholder="Search..." autocomplete="off">
      </div>
    </form>

    <h3 class="mt-6 mb-3 text-xl uppercase text-ctp-text">Categories</h3>
    
    <ul class="space-y-2">
      <li class="ml-1 {% if not active_category %}text-ctp-subtext1 font-semibold{% else %}text-ctp-subtext0{% endif %} hover:text-ctp-pink"><a href="{% url 'shop' %}">All categories</a></li>

      {% for category in categories %}
      <li class="ml-1 {% if category.slug == active_category %}text-ctp-subtext1 font-semibold{% else %}text-ctp-subtext0{% endif %} hover:text-ctp-pink "><a href="{% url 'shop' %}?category={{ category.slug }}">{{ category.name }}</a></li>
      {% endfor %}
      
    </ul>
  </div>
  <div class="products w-full -mt-4 lg:w-3/4 flex items-stretch flex-wrap">
    {% for product in products %}
      {% include 'catalog/partials/catalog_item.html' %}
    {% endfor %}
  </div>
</div>
{% endblock %} 
